/* Copyright (C) 2017 The authors of Py-ChemShell

   This file is part of Py-ChemShell.

   Py-ChemShell is free software: you can redistribute it and/or modify
   it under the terms of the GNU Lesser General Public License as
   published by the Free Software Foundation, either version 3 of the
   License, or (at your option) any later version.

   Py-ChemShell is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with Py-ChemShell.  If not, see
   <http://www.gnu.org/licenses/>.  */


int chemsh_parallel_c_register_function(void) {}

int chemsh_parallel_c_get_node(void) {

    int chemsh_parallel_f_get_node(void);

    return chemsh_parallel_f_get_node();
}


int chemsh_parallel_c_get_nnodes_wg(void) {

    int chemsh_parallel_f_get_nnodes_wg(void);

    return chemsh_parallel_f_get_nnodes_wg();
}


int chemsh_parallel_c_get_nnodes_subset(void) {

    int chemsh_parallel_f_get_nnodes_subset(void);

    return chemsh_parallel_f_get_nnodes_subset();
}


int chemsh_parallel_c_get_nwgs(void) {

    int chemsh_parallel_f_get_nwgs(void);

    return chemsh_parallel_f_get_nwgs();
}


int chemsh_parallel_c_get_wg(void) {

    int chemsh_parallel_f_get_wg(void);

    return chemsh_parallel_f_get_wg();
}


